package auth

import (
	"time"
)

type (
	GenerateBasic struct {
		UserID    string
		CreateAt  time.Time
		TokenInfo TokenInfo
	}

	AccessGenerate interface {
		Token(data *GenerateBasic, isGenRefresh bool) (access, refresh string, err error)
	}
)
