package downloader

type EventKey string

const (
	EventKeyStart    EventKey = "start"
	EventKeyPause    EventKey = "pause"
	EventKeyContinue EventKey = "continue"
	EventKeyProgress EventKey = "progress"
	EventKeyError    EventKey = "error"
	EventKeyDone     EventKey = "done"
	EventKeyFinally  EventKey = "finally"
)

type Event struct {
	Key  EventKey
	Task *TaskInfo
	Err  error
}
